<?php 
class mail_status extends AmysqlController
{

    function select()
    {
        JsonSuccess( $this -> _model("mail_model") -> select(@$_SESSION['username']));
    }
    /**
     * 邮件发送
     */
    function sendmail()
    {
        $verify = md5(hash("sha256",@$_REQUEST['mail'].$_REQUEST['user']));
        $send = mailsender($_REQUEST['mail'], $verify, $_REQUEST['type']);
        if($send)
        {
            $_SESSION['verify'] = $verify;
            JsonSuccess("邮件发送成功 收到后请填入验证码进行邮箱验证");
        }else{
            JsonError("邮件发送失败");
        }
    
    } 
    function mail(){
        $verify = $_SESSION['verify'];

        if(@$_REQUEST['verify'] != $verify)
        {
            JsonError('验证码不对!请重试');
            exit(0);
        }
       if($this -> _model("mail_model") -> mail(@$_REQUEST['mail'], $verify, @$_SESSION['username']))
            JsonSuccess('验证成功');
        JsonError("验证失败");
    }

    /**
     * 显示邮箱验证状态
     */
    function stat(){
        JsonSuccess($this -> _model('mail_model') -> status(@$_SESSION['username']));
    }
}
?>